import { css } from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

const checkIcon = `<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24">
  <path fill="#fff" d="M20.285 2l-11.285 11.567-5.286-5.011-3.714 3.716 9 8.728 15-15.285z"/>
</svg>`

// const partialCheck = `<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
// <path fill="#939393" fill-rule="evenodd" d="M1.994 0A1.995 1.995 0 0 0 0 1.994v12.012C0 15.107.895 16 1.994 16h12.012A1.995 1.995 0 0 0 16 14.006V1.994A1.995 1.995 0 0 0 14.006 0H1.994zm6.962 7.167h4.388c.201-.002.391.658.391.86 0 .202-.19.866-.391.864H2.78c-.2.01-.343-.647-.352-.847-.01-.2.119-.867.318-.877h6.209z"/>
// </svg>
// `

const Checkbox = css`
  display: flex; 
  font-family: ${th('fontReading')};
  font-size: ${th('fontSizeBase')};
  line-height: ${th('lineHeightBase')};
  opacity: ${props => (props.disabled ? 0.3 : 1)}; 

  input:checked + span::before {
    border-color: ${th('colorPrimary')};
    background: url('data:image/svg+xml;utf8,${encodeURIComponent(
      checkIcon,
    )}') center no-repeat, ${th('colorPrimary')};
    background-size: contain;
  }
`

Checkbox.Input = css`
  position: absolute;
  opacity: 0;
  z-index: -1;
`

Checkbox.Label = css`
  font-weight: 600;
  &::before {
    content: ' ';
    background: transparent;
    border: 2px solid ${th('checkbox.borderColor')};
    border-radius: ${th('borderRadius')};
    box-sizing: border-box;
    display: inline-block;
    margin-right: ${th('gridUnit')};
    vertical-align: text-bottom;

    height: calc(${th('gridUnit')} * 2);
    width: calc(${th('gridUnit')} * 2);
  }
`

export default Checkbox
